VALLOC(3C)

NAME
valloc - aligned memory allocator

SYNOPSIS
char *valloc(size)
unsigned size;

DESCRIPTION
Valloc is obsoleted by the current version of malloc, which aligns page-sized and larger allocations.

Valloc allocates size bytes aligned on a page boundary. It is implemented by calling malloc(3) with a slightly larger request, saving the true beginning of the block allocated, and returning a properly aligned pointer.

DIAGNOSTICS
Valloc returns a null pointer (0) if there is no available memory or if the arena has been detectably corrupted by storing outside the bounds of a block.

BUGS
Vfree isn't implemented.